#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		sname		%(echo %{name} | cut -d '-' -f1)
#-----------------------------------------------------------------------------
Name		:	nagios-plugins
Version		:	2.4.3
Release		:	14.4.0.0%{?dist}
Summary		:	Host/service/network monitoring program plugins for Nagios

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPLv3+
URL		:	https://www.nagios-plugins.org/

Source0		:	%{name}-%{version}.tar.gz
Source1		:	%{name}-ok_addon.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	bind-utils
BuildRequires	:	fping
BuildRequires	:	gawk
BuildRequires	:	gcc
BuildRequires	:	inetutils
BuildRequires	:	libdbi-devel
BuildRequires	:	make
BuildRequires	:	net-snmp-devel
BuildRequires	:	net-snmp-utils
BuildRequires	:	openldap-devel
BuildRequires	:	postgresql
BuildRequires	:	mariadb

Requires	:	fping
Requires	:	inetutils
Requires	:	nagios
Requires	:	net-snmp
Requires	:	openldap
Requires	:	perl
Requires	:	python
Requires	:	traceroute

#-----------------------------------------------------------------------------
%description
Nagios is a program that will monitor hosts and
services on your network.  It has the ability
to send email or page alerts when a problem
arises and when a problem is resolved.
Nagios is written in C and is designed to run
under Linux (and some other *NIX variants) as
a background process, intermittently running
checks on various services that you specify.
	
The actual service checks are performed by separate "plugin"
programs which return the status of the checks to Nagios.
This package contains those plugins.

#-----------------------------------------------------------------------------
%files			-f %{name}.lang
%defattr(-,root,root,-)
%doc ACKNOWLEDGEMENTS AUTHORS CODING FAQ LEGAL NEWS README
%doc REQUIREMENTS SUPPORT THANKS
%license COPYING
%defattr(-,root,root,-)
%attr(4750,root,%{sname})%{_libdir}/%{sname}/plugins/check_icmp
%attr(4750,root,%{sname})%{_libdir}/%{sname}/plugins/check_dhcp
%{_libdir}/%{sname}/plugins/check_apt
%{_libdir}/%{sname}/plugins/check_breeze
%{_libdir}/%{sname}/plugins/check_by_ssh
%{_libdir}/%{sname}/plugins/check_clamd
%{_libdir}/%{sname}/plugins/check_cluster
%{_libdir}/%{sname}/plugins/check_dbi
%{_libdir}/%{sname}/plugins/check_dig
%{_libdir}/%{sname}/plugins/check_disk
%{_libdir}/%{sname}/plugins/check_disk_smb
%{_libdir}/%{sname}/plugins/check_dns
%{_libdir}/%{sname}/plugins/check_dummy
%{_libdir}/%{sname}/plugins/check_file_age
%{_libdir}/%{sname}/plugins/check_flexlm
%{_libdir}/%{sname}/plugins/check_fping
%{_libdir}/%{sname}/plugins/check_ftp
%{_libdir}/%{sname}/plugins/check_hpjd
%{_libdir}/%{sname}/plugins/check_http
%{_libdir}/%{sname}/plugins/check_ide_smart
%{_libdir}/%{sname}/plugins/check_ifoperstatus
%{_libdir}/%{sname}/plugins/check_ifstatus
%{_libdir}/%{sname}/plugins/check_imap
%{_libdir}/%{sname}/plugins/check_ircd
%{_libdir}/%{sname}/plugins/check_jabber
%{_libdir}/%{sname}/plugins/check_ldap
%{_libdir}/%{sname}/plugins/check_ldaps
%{_libdir}/%{sname}/plugins/check_load
%{_libdir}/%{sname}/plugins/check_log
%{_libdir}/%{sname}/plugins/check_mailq
%{_libdir}/%{sname}/plugins/check_mrtg
%{_libdir}/%{sname}/plugins/check_mrtgtraf
%{_libdir}/%{sname}/plugins/check_mysql
%{_libdir}/%{sname}/plugins/check_mysql_query
%{_libdir}/%{sname}/plugins/check_nagios
%{_libdir}/%{sname}/plugins/check_nntp
%{_libdir}/%{sname}/plugins/check_nntps
%{_libdir}/%{sname}/plugins/check_nt
%{_libdir}/%{sname}/plugins/check_ntp
%{_libdir}/%{sname}/plugins/check_ntp_peer
%{_libdir}/%{sname}/plugins/check_ntp_time
%{_libdir}/%{sname}/plugins/check_nwstat
%{_libdir}/%{sname}/plugins/check_oracle
%{_libdir}/%{sname}/plugins/check_overcr
%{_libdir}/%{sname}/plugins/check_pgsql
%{_libdir}/%{sname}/plugins/check_ping
%{_libdir}/%{sname}/plugins/check_pop
%{_libdir}/%{sname}/plugins/check_procs
%{_libdir}/%{sname}/plugins/check_real
%{_libdir}/%{sname}/plugins/check_rpc
%{_libdir}/%{sname}/plugins/check_sensors
%{_libdir}/%{sname}/plugins/check_simap
%{_libdir}/%{sname}/plugins/check_snmp
%{_libdir}/%{sname}/plugins/check_smtp
%{_libdir}/%{sname}/plugins/check_spop
%{_libdir}/%{sname}/plugins/check_ssh
%{_libdir}/%{sname}/plugins/check_ssl_validity
%{_libdir}/%{sname}/plugins/check_ssmtp
%{_libdir}/%{sname}/plugins/check_swap
%{_libdir}/%{sname}/plugins/check_tcp
%{_libdir}/%{sname}/plugins/check_time
%{_libdir}/%{sname}/plugins/check_udp
%{_libdir}/%{sname}/plugins/check_uptime
%{_libdir}/%{sname}/plugins/check_ups
%{_libdir}/%{sname}/plugins/check_users
%{_libdir}/%{sname}/plugins/check_wave 
%{_libdir}/%{sname}/plugins/negate
%{_libdir}/%{sname}/plugins/remove_perfdata
%{_libdir}/%{sname}/plugins/urlize
%{_libdir}/%{sname}/plugins/utils.pm
%{_libdir}/%{sname}/plugins/utils.sh
%{_libdir}/%{sname}/plugins/contrib/*.pl
%{_libdir}/%{sname}/plugins/contrib/*.sh

#=============================================================================
%prep
%setup -q

tar xf %{SOURCE1}

#-----------------------------------------------------------------------------
#building application
%build

autoconf -v -i -f 
PATH="$PATH:/usr/sbin:/sbin"				\
./configure						\
        --prefix=%{_prefix}				\
	--sysconfdir=%{_sysconfdir}/%{sname}		\
	--exec-prefix=%{_exec_prefix}			\
	--libexecdir=%{_libdir}/%{sname}/plugins	\
	--datadir=%{_datadir}				\
	--with-cgiurl=/%{sname}/cgi-bin			\
	--with-mysql					\
	--with-dbi					\

%{__make}						\
	%{_smp_mflags}					\


#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install

%{__rm} -rf %{buildroot}
%{__make}						\
	DESTDIR=%{buildroot}				\
	install						\


install -m 0755 					\
	plugins-root/check_icmp				\
	plugins-root/check_dhcp				\
	%{buildroot}/%{_libdir}/nagios/plugins

#installing contrib scripts
%{__mkdir_p}						\
	%{buildroot}/%{_libdir}/nagios/plugins/contrib
install -m 0755 					\
	%{name}-ok_addon/contrib/{*.pl,*.sh}		\
	%{buildroot}/%{_libdir}/nagios/plugins/contrib

%find_lang %{name}
#=============================================================================
%changelog
